<?xml version="1.0" encoding="UTF-8" ?>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en"
      xmlns:f="http://typo3.org/ns/TYPO3/Fluid/ViewHelpers"
      f:schemaLocation="https://fluidtypo3.org/schemas/fluid-master.xsd">
<head>
    <title>ContactForm: ShowContactForm</title>
</head>

<body>

<f:layout name="Default"/>
<f:section name="main">
    <f:if condition="{error}!=1">
        <div>
            <f:then>
                <f:form action="send" method="post" name="contactform" id="contactform" class="o-form c-form">
                    <header class="header">
                        <h3 class="contactform">Kontaktformular</h3>
                    </header>
                    <!-- Formular Person Beginn -->
                    <section class="tx-drk-contactform-person">
                        <f:render partial="ContactForm/PersonData"
                                  arguments="{prefix_array: prefix_array, title_array: title_array, renderMandatory: 1}"/>
                    </section>
                    <!-- Formular Person Ende -->
                    <!-- Formular Message Beginn -->
                    <f:render partial="ContactForm/MessageData"
                              arguments="{subject_array: subject_array}"/>
                    <!-- Formular Message End -->
                    <f:if condition="{privacy_url} != ''">
                        <f:render partial="ContactForm/Privacy" arguments="{privacy_url: privacy_url}"/>
                    </f:if>
                    <f:render partial="ContactForm/Submit"/>

                </f:form>
            </f:then>
            <f:else>
                <div class="min-content-width">
                    <p>
                        <f:for each="{errorMessages}" key="error_key" as="error_value">
                            <strong>{error_key}:</strong> {error_value}
                        </f:for>
                    </p>
                    <p style="margin-top: 1em"><input type="button" class="button o-btn" value="Zurück" name="back_button"  onClick="javascript:history.back(1)"></p>
                </div>
            </f:else>
        </div>
    </f:if>

</f:section>

<f:comment>if debug, show it</f:comment>
<f:section name="debug">
        <pre>
            <f:for each="{debug}" key="debug_key" as="debug_value">
                <strong>{debug_key}:</strong> {debug_value}
            </f:for>
        </pre>
</f:section>

</body>
</html>
